<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TrafficElement StructType
 * @subpackage Structs
 */
abstract class TrafficElement extends SituationRecord
{
    /**
     * The trafficElementExtension
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ExtensionType
     */
    public $trafficElementExtension;
    /**
     * Constructor method for TrafficElement
     * @uses TrafficElement::setTrafficElementExtension()
     * @param \StructType\ExtensionType $trafficElementExtension
     */
    public function __construct(\StructType\ExtensionType $trafficElementExtension = null)
    {
        $this
            ->setTrafficElementExtension($trafficElementExtension);
    }
    /**
     * Get trafficElementExtension value
     * @return \StructType\ExtensionType|null
     */
    public function getTrafficElementExtension()
    {
        return $this->trafficElementExtension;
    }
    /**
     * Set trafficElementExtension value
     * @param \StructType\ExtensionType $trafficElementExtension
     * @return \StructType\TrafficElement
     */
    public function setTrafficElementExtension(\StructType\ExtensionType $trafficElementExtension = null)
    {
        $this->trafficElementExtension = $trafficElementExtension;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\TrafficElement
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
